package com.muyu.fence.service.impl;

import com.muyu.fence.domain.TbGroup;
import com.muyu.fence.mapper.TbGroupDao;
import com.muyu.fence.service.TbGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author YuPing
 * @Description 围栏组业务实现
 * @Version 1.0
 * @Data 2024-09-22 16:59:33
 */

@Service
public class TbGroupServiceImpl implements TbGroupService {

    @Autowired
    private TbGroupDao tbGroupDao;

    /**
     * 查询围栏组列表
     * @return
     */
    @Override
    public List<TbGroup> selectTbGroupList() {
        return tbGroupDao.selectTbGroupList();
    }
}
