package com.template.util;
import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;
import org.springframework.context.annotation.Configuration;
import org.apache.iotdb.session.Session;
import org.apache.iotdb.session.SessionDataSet;


/**
 * @Author：liuxinyue
 * @Package：com.template.util
 * @Project：cloud-server
 * @name：ToIoTDB
 * @Date：2024/9/20 19:40
 */
@Configuration
public class ToIoTDB {

    // IoTDB连接信息
    private static final String HOST = "127.0.0.1";
    private static final int PORT = 6667;
    private static final String USERNAME = "root";
    private static final String PASSWORD = "root";

    // 需要创建的schema信息
    private static final String STORAGE_GROUP = "root.ln";
    private static final String[] TIMESERIES_PATHS = {
            "root.ln.wf01.wt01.temperature",
            "root.ln.wf01.wt01.humidity"
    };





}
